# ncurses 6.1 - patch 20190323 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.1 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.1 can be found at
# 	ftp://ftp.invisible-island.net/ncurses/6.1
#	http://invisible-mirror.net/archives/ncurses/6.1 
#
# ------------------------------------------------------------------------------
# ftp://ftp.invisible-island.net/ncurses/6.1/ncurses-6.1-20190323.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Mar 24 01:47:18 UTC 2019
# ------------------------------------------------------------------------------
# NEWS                                  |   10 +++++++++-
# VERSION                               |    2 +-
# dist.mk                               |    4 ++--
# doc/html/ada/funcs/T.htm              |    2 +-
# doc/html/man/adacurses6-config.1.html |    2 +-
# doc/html/man/captoinfo.1m.html        |    2 +-
# doc/html/man/clear.1.html             |    2 +-
# doc/html/man/curs_getcchar.3x.html    |    6 +++---
# doc/html/man/curs_legacy.3x.html      |   22 +++++++++++-----------
# doc/html/man/curs_sp_funcs.3x.html    |   28 ++++++++++++++--------------
# doc/html/man/curs_termcap.3x.html     |    6 +++---
# doc/html/man/curs_util.3x.html        |   10 +++++-----
# doc/html/man/form.3x.html             |    2 +-
# doc/html/man/infocmp.1m.html          |    2 +-
# doc/html/man/infotocap.1m.html        |    2 +-
# doc/html/man/menu.3x.html             |    2 +-
# doc/html/man/mitem_current.3x.html    |    4 ++--
# doc/html/man/ncurses.3x.html          |    2 +-
# doc/html/man/ncurses6-config.1.html   |    2 +-
# doc/html/man/panel.3x.html            |    8 ++++----
# doc/html/man/tabs.1.html              |    2 +-
# doc/html/man/term_variables.3x.html   |   26 +++++++++++++-------------
# doc/html/man/terminfo.5.html          |    2 +-
# doc/html/man/tic.1m.html              |    2 +-
# doc/html/man/toe.1m.html              |    2 +-
# doc/html/man/tput.1.html              |    2 +-
# doc/html/man/tset.1.html              |    2 +-
# include/curses.h.in                   |   16 ++++++++--------
# man/curs_getcchar.3x                  |    6 +++---
# man/curs_legacy.3x                    |   22 +++++++++++-----------
# man/curs_sp_funcs.3x                  |   28 ++++++++++++++--------------
# man/curs_termcap.3x                   |    6 +++---
# man/curs_util.3x                      |   10 +++++-----
# man/mitem_current.3x                  |    4 ++--
# man/panel.3x                          |    6 +++---
# man/term_variables.3x                 |   22 +++++++++++-----------
# ncurses/base/lib_screen.c             |   10 +++++-----
# ncurses/curses.priv.h                 |    9 ++++++++-
# ncurses/tinfo/lib_setup.c             |    6 +++---
# ncurses/tinfo/read_entry.c            |    4 ++--
# ncurses/tinfo/write_entry.c           |    6 +++---
# ncurses/trace/lib_trace.c             |    6 +++---
# package/debian-mingw/changelog        |    4 ++--
# package/debian-mingw64/changelog      |    4 ++--
# package/debian/changelog              |    4 ++--
# package/mingw-ncurses.nsi             |    4 ++--
# package/mingw-ncurses.spec            |    2 +-
# package/ncurses.spec                  |    2 +-
# package/ncursest.spec                 |    2 +-
# 49 files changed, 178 insertions(+), 163 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.3293 
--- ncurses-6.1-20190317+/NEWS	2019-03-17 01:23:23.000000000 +0000
+++ ncurses-6.1-20190323/NEWS	2019-03-23 23:06:12.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.3293 2019/03/17 01:23:23 tom Exp $
+-- $Id: NEWS,v 1.3297 2019/03/23 23:06:12 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,14 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20190323
+	+ move macro for is_linetouched() inside NCURSES_NOMACROS ifndef.
+	+ corrected prototypes in several manpages using script to extract
+	  those in compilable form.
+	+ use _nc_copy_termtype2() rather than direct assignment in setupterm,
+	  in case it is called repeatedly using fallback terminfo descriptions
+	  (report/patch by Werner Fink).
+
 20190317
 	+ regenerate llib-* files.
 	+ modify tic to also use new function for user-defined capability info.
Index: VERSION
--- ncurses-6.1-20190317+/VERSION	2019-03-17 01:23:23.000000000 +0000
+++ ncurses-6.1-20190323/VERSION	2019-03-23 16:13:26.000000000 +0000
@@ -1 +1 @@
-5:0:10	6.1	20190317
+5:0:10	6.1	20190323
Index: dist.mk
Prereq:  1.1274 
--- ncurses-6.1-20190317+/dist.mk	2019-03-17 01:23:23.000000000 +0000
+++ ncurses-6.1-20190323/dist.mk	2019-03-23 16:13:26.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1274 2019/03/17 01:23:23 tom Exp $
+# $Id: dist.mk,v 1.1275 2019/03/23 16:13:26 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 1
-NCURSES_PATCH = 20190317
+NCURSES_PATCH = 20190323
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: doc/html/ada/funcs/T.htm
--- ncurses-6.1-20190317+/doc/html/ada/funcs/T.htm	2019-03-16 21:45:04.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/ada/funcs/T.htm	2019-03-23 23:10:16.000000000 +0000
@@ -20,8 +20,8 @@
 <LI><A HREF="../terminal_interface-curses-termcap__adb.htm#ref_89_16" TARGET="main">tgetnum</A>
 <LI><A HREF="../terminal_interface-curses-termcap__adb.htm#ref_108_16" TARGET="main">tgetstr -  terminal_interface-curses-termcap.adb:108</A>
 <LI><A HREF="../terminal_interface-curses-termcap__adb.htm#ref_129_16" TARGET="main">tgetstr -  terminal_interface-curses-termcap.adb:129</A>
-<LI><A HREF="../terminal_interface-curses-termcap__ads.htm#ref_53_13" TARGET="main">TGoto</A>
 <LI><A HREF="../terminal_interface-curses-termcap__adb.htm#ref_151_16" TARGET="main">tgoto</A>
+<LI><A HREF="../terminal_interface-curses-termcap__ads.htm#ref_53_13" TARGET="main">TGoto</A>
 <LI><A HREF="../terminal_interface-curses-terminfo__adb.htm#ref_69_16" TARGET="main">tigetflag</A>
 <LI><A HREF="../terminal_interface-curses-terminfo__adb.htm#ref_87_16" TARGET="main">tigetstr -  terminal_interface-curses-terminfo.adb:87</A>
 <LI><A HREF="../terminal_interface-curses-terminfo__adb.htm#ref_108_16" TARGET="main">tigetstr -  terminal_interface-curses-terminfo.adb:108</A>
Index: doc/html/man/adacurses6-config.1.html
--- ncurses-6.1-20190317+/doc/html/man/adacurses6-config.1.html	2019-03-16 19:34:43.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/adacurses6-config.1.html	2019-03-23 22:00:03.000000000 +0000
@@ -125,7 +125,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 
Index: doc/html/man/captoinfo.1m.html
--- ncurses-6.1-20190317+/doc/html/man/captoinfo.1m.html	2019-03-16 19:34:43.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/captoinfo.1m.html	2019-03-23 22:00:03.000000000 +0000
@@ -190,7 +190,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/clear.1.html
--- ncurses-6.1-20190317+/doc/html/man/clear.1.html	2019-03-16 19:34:43.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/clear.1.html	2019-03-23 22:00:03.000000000 +0000
@@ -148,7 +148,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="tput.1.html">tput(1)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 
Index: doc/html/man/curs_getcchar.3x.html
--- ncurses-6.1-20190317+/doc/html/man/curs_getcchar.3x.html	2019-03-16 19:34:43.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/curs_getcchar.3x.html	2019-03-23 22:00:04.000000000 +0000
@@ -1,6 +1,6 @@
 <!-- 
   ****************************************************************************
-  * Copyright (c) 2001-2015,2017 Free Software Foundation, Inc.              *
+  * Copyright (c) 2001-2017,2019 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_getcchar.3x,v 1.19 2017/11/18 23:47:37 tom Exp @
+  * @Id: curs_getcchar.3x,v 1.20 2019/03/23 21:51:51 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -65,7 +65,7 @@
                <STRONG>const</STRONG> <STRONG>wchar_t</STRONG> <STRONG>*</STRONG><EM>wch</EM><STRONG>,</STRONG>
                <STRONG>const</STRONG> <STRONG>attr_t</STRONG> <EM>attrs</EM><STRONG>,</STRONG>
                <STRONG>short</STRONG> <EM>color</EM><STRONG>_</STRONG><EM>pair</EM><STRONG>,</STRONG>
-               <STRONG>void</STRONG> <STRONG>*</STRONG><EM>opts</EM> <STRONG>);</STRONG>
+               <STRONG>const</STRONG> <STRONG>void</STRONG> <STRONG>*</STRONG><EM>opts</EM> <STRONG>);</STRONG>
 
 
 </PRE><H2><a name="h2-DESCRIPTION">DESCRIPTION</a></H2><PRE>
Index: doc/html/man/curs_legacy.3x.html
--- ncurses-6.1-20190317+/doc/html/man/curs_legacy.3x.html	2019-03-16 19:34:44.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/curs_legacy.3x.html	2019-03-23 22:00:04.000000000 +0000
@@ -1,6 +1,6 @@
 <!-- 
   ****************************************************************************
-  * Copyright (c) 2007-2015,2017 Free Software Foundation, Inc.              *
+  * Copyright (c) 2007-2017,2019 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_legacy.3x,v 1.8 2017/11/21 00:45:48 tom Exp @
+  * @Id: curs_legacy.3x,v 1.9 2019/03/23 21:51:12 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -52,15 +52,15 @@
 </PRE><H2><a name="h2-SYNOPSIS">SYNOPSIS</a></H2><PRE>
        <STRONG>#include</STRONG> <STRONG>&lt;curses.h&gt;</STRONG>
 
-       <STRONG>int</STRONG> <STRONG>getattrs(WINDOW</STRONG> <STRONG>*win);</STRONG>
-       <STRONG>int</STRONG> <STRONG>getbegx(WINDOW</STRONG> <STRONG>*win);</STRONG>
-       <STRONG>int</STRONG> <STRONG>getbegy(WINDOW</STRONG> <STRONG>*win);</STRONG>
-       <STRONG>int</STRONG> <STRONG>getcurx(WINDOW</STRONG> <STRONG>*win);</STRONG>
-       <STRONG>int</STRONG> <STRONG>getcury(WINDOW</STRONG> <STRONG>*win);</STRONG>
-       <STRONG>int</STRONG> <STRONG>getmaxx(WINDOW</STRONG> <STRONG>*win);</STRONG>
-       <STRONG>int</STRONG> <STRONG>getmaxy(WINDOW</STRONG> <STRONG>*win);</STRONG>
-       <STRONG>int</STRONG> <STRONG>getparx(WINDOW</STRONG> <STRONG>*win);</STRONG>
-       <STRONG>int</STRONG> <STRONG>getpary(WINDOW</STRONG> <STRONG>*win);</STRONG>
+       <STRONG>int</STRONG> <STRONG>getattrs(const</STRONG> <STRONG>WINDOW</STRONG> <STRONG>*win);</STRONG>
+       <STRONG>int</STRONG> <STRONG>getbegx(const</STRONG> <STRONG>WINDOW</STRONG> <STRONG>*win);</STRONG>
+       <STRONG>int</STRONG> <STRONG>getbegy(const</STRONG> <STRONG>WINDOW</STRONG> <STRONG>*win);</STRONG>
+       <STRONG>int</STRONG> <STRONG>getcurx(const</STRONG> <STRONG>WINDOW</STRONG> <STRONG>*win);</STRONG>
+       <STRONG>int</STRONG> <STRONG>getcury(const</STRONG> <STRONG>WINDOW</STRONG> <STRONG>*win);</STRONG>
+       <STRONG>int</STRONG> <STRONG>getmaxx(const</STRONG> <STRONG>WINDOW</STRONG> <STRONG>*win);</STRONG>
+       <STRONG>int</STRONG> <STRONG>getmaxy(const</STRONG> <STRONG>WINDOW</STRONG> <STRONG>*win);</STRONG>
+       <STRONG>int</STRONG> <STRONG>getparx(const</STRONG> <STRONG>WINDOW</STRONG> <STRONG>*win);</STRONG>
+       <STRONG>int</STRONG> <STRONG>getpary(const</STRONG> <STRONG>WINDOW</STRONG> <STRONG>*win);</STRONG>
 
 
 </PRE><H2><a name="h2-DESCRIPTION">DESCRIPTION</a></H2><PRE>
Index: doc/html/man/curs_sp_funcs.3x.html
--- ncurses-6.1-20190317+/doc/html/man/curs_sp_funcs.3x.html	2019-03-16 19:34:44.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/curs_sp_funcs.3x.html	2019-03-23 23:10:12.000000000 +0000
@@ -1,6 +1,6 @@
 <!-- 
   ****************************************************************************
-  * Copyright (c) 2010-2017,2018 Free Software Foundation, Inc.              *
+  * Copyright (c) 2010-2018,2019 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_sp_funcs.3x,v 1.10 2018/04/07 20:58:41 tom Exp @
+  * @Id: curs_sp_funcs.3x,v 1.13 2019/03/23 23:04:13 tom Exp @
   * ***************************************************************************
   * ***************************************************************************
   * ***************************************************************************
@@ -70,11 +70,11 @@
        <STRONG>int</STRONG> <STRONG>doupdate_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>echo_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>endwin_sp(SCREEN*);</STRONG>
-       <STRONG>int</STRONG> <STRONG>erasechar_sp(SCREEN*);</STRONG>
+       <STRONG>char</STRONG> <STRONG>erasechar_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>extended_color_content_sp(SCREEN</STRONG> <STRONG>*,</STRONG> <STRONG>int,</STRONG> <STRONG>int</STRONG> <STRONG>*,</STRONG> <STRONG>int</STRONG> <STRONG>*,</STRONG> <STRONG>int</STRONG> <STRONG>*);</STRONG>
        <STRONG>int</STRONG> <STRONG>extended_pair_content_sp(SCREEN*,</STRONG> <STRONG>int,</STRONG> <STRONG>int</STRONG> <STRONG>*,</STRONG> <STRONG>int</STRONG> <STRONG>*);</STRONG>
        <STRONG>int</STRONG> <STRONG>extended_slk_color_sp(SCREEN*,</STRONG> <STRONG>int);</STRONG>
-       <STRONG>int</STRONG> <STRONG>filter_sp(SCREEN*);</STRONG>
+       <STRONG>void</STRONG> <STRONG>filter_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>find_pair_sp(SCREEN*,</STRONG> <STRONG>int,</STRONG> <STRONG>int);</STRONG>
        <STRONG>int</STRONG> <STRONG>free_pair_sp(SCREEN*,</STRONG> <STRONG>int);</STRONG>
        <STRONG>int</STRONG> <STRONG>flash_sp(SCREEN*);</STRONG>
@@ -82,7 +82,7 @@
        <STRONG>int</STRONG> <STRONG>get_escdelay_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>getmouse_sp(SCREEN*,</STRONG> <STRONG>MEVENT*);</STRONG>
        <STRONG>WINDOW*</STRONG> <STRONG>getwin_sp(SCREEN*,</STRONG> <STRONG>FILE*);</STRONG>
-       <STRONG>int</STRONG> <STRONG>halfdelay_sp(SCREEN*);</STRONG>
+       <STRONG>int</STRONG> <STRONG>halfdelay_sp(SCREEN*,</STRONG> <STRONG>int);</STRONG>
        <STRONG>bool</STRONG> <STRONG>has_colors_sp(SCREEN*);</STRONG>
        <STRONG>bool</STRONG> <STRONG>has_ic_sp(SCREEN*);</STRONG>
        <STRONG>bool</STRONG> <STRONG>has_il_sp(SCREEN*);</STRONG>
@@ -113,7 +113,7 @@
        <STRONG>int</STRONG> <STRONG>nl_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>nocbreak_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>noecho_sp(SCREEN*);</STRONG>
-       <STRONG>int</STRONG> <STRONG>nofilter_sp(SCREEN*);</STRONG>
+       <STRONG>void</STRONG> <STRONG>nofilter_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>nonl_sp(SCREEN*);</STRONG>
        <STRONG>void</STRONG> <STRONG>noqiflush_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>noraw_sp(SCREEN*);</STRONG>
@@ -138,11 +138,11 @@
        <STRONG>int</STRONG> <STRONG>slk_attron_sp(SCREEN*,</STRONG> <STRONG>const</STRONG> <STRONG>chtype);</STRONG>
        <STRONG>int</STRONG> <STRONG>slk_attr_set_sp(SCREEN*,</STRONG> <STRONG>const</STRONG> <STRONG>attr_t,</STRONG> <STRONG>short,</STRONG> <STRONG>void*);</STRONG>
        <STRONG>int</STRONG> <STRONG>slk_attrset_sp(SCREEN*,</STRONG> <STRONG>const</STRONG> <STRONG>chtype);</STRONG>
-       <STRONG>int</STRONG> <STRONG>slk_attr_sp(SCREEN*);</STRONG>
+       <STRONG>attr_t</STRONG> <STRONG>slk_attr_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>slk_clear_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>slk_color_sp(SCREEN*,</STRONG> <STRONG>short);</STRONG>
        <STRONG>int</STRONG> <STRONG>slk_init_sp(SCREEN*,</STRONG> <STRONG>int);</STRONG>
-       <STRONG>int</STRONG> <STRONG>slk_label_sp(SCREEN*,</STRONG> <STRONG>int);</STRONG>
+       <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>slk_label_sp(SCREEN*,</STRONG> <STRONG>int);</STRONG>
        <STRONG>int</STRONG> <STRONG>slk_noutrefresh_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>slk_refresh_sp(SCREEN*);</STRONG>
        <STRONG>int</STRONG> <STRONG>slk_restore_sp(SCREEN*);</STRONG>
@@ -159,7 +159,7 @@
        <STRONG>int</STRONG> <STRONG>unget_wch_sp(SCREEN*,</STRONG> <STRONG>const</STRONG> <STRONG>wchar_t);</STRONG>
        <STRONG>int</STRONG> <STRONG>use_default_colors_sp(SCREEN*);</STRONG>
        <STRONG>void</STRONG> <STRONG>use_env_sp(SCREEN*,</STRONG> <STRONG>bool);</STRONG>
-       <STRONG>void</STRONG> <STRONG>use_tioctl_sp</STRONG> <STRONG>(SCREEN</STRONG> <STRONG>*,</STRONG> <STRONG>bool)</STRONG>
+       <STRONG>void</STRONG> <STRONG>use_tioctl_sp</STRONG> <STRONG>(SCREEN</STRONG> <STRONG>*,</STRONG> <STRONG>bool);</STRONG>
        <STRONG>int</STRONG> <STRONG>use_legacy_coding_sp(SCREEN*,</STRONG> <STRONG>int);</STRONG>
        <STRONG>int</STRONG> <STRONG>vid_attr_sp(SCREEN*,</STRONG> <STRONG>attr_t,</STRONG> <STRONG>short,</STRONG> <STRONG>void</STRONG> <STRONG>*);</STRONG>
        <STRONG>int</STRONG> <STRONG>vidattr_sp(SCREEN*,</STRONG> <STRONG>chtype);</STRONG>
@@ -169,23 +169,23 @@
 
        <STRONG>#include</STRONG> <STRONG>&lt;form.h&gt;</STRONG>
 
-       <STRONG>int</STRONG> <STRONG>new_form_sp(SCREEN*,</STRONG> <STRONG>FIELD</STRONG> <STRONG>**);</STRONG>
+       <STRONG>FORM*</STRONG> <STRONG>new_form_sp(SCREEN*,</STRONG> <STRONG>FIELD</STRONG> <STRONG>**);</STRONG>
 
        <STRONG>#include</STRONG> <STRONG>&lt;menu.h&gt;</STRONG>
 
-       <STRONG>int</STRONG> <STRONG>new_menu_sp(SCREEN*,</STRONG> <STRONG>ITEM</STRONG> <STRONG>**);</STRONG>
+       <STRONG>MENU*</STRONG> <STRONG>new_menu_sp(SCREEN*,</STRONG> <STRONG>ITEM</STRONG> <STRONG>**);</STRONG>
 
        <STRONG>#include</STRONG> <STRONG>&lt;panel.h&gt;</STRONG>
 
-       <STRONG>int</STRONG> <STRONG>ceiling_panel(SCREEN*);</STRONG>
+       <STRONG>PANEL*</STRONG> <STRONG>ceiling_panel(SCREEN*);</STRONG>
        <STRONG>PANEL*</STRONG> <STRONG>ground_panel(SCREEN*);</STRONG>
-       <STRONG>int</STRONG> <STRONG>update_panels_sp(SCREEN*);</STRONG>
+       <STRONG>void</STRONG> <STRONG>update_panels_sp(SCREEN*);</STRONG>
 
        <STRONG>#include</STRONG> <STRONG>&lt;term.h&gt;</STRONG>
 
        <STRONG>int</STRONG> <STRONG>del_curterm_sp(SCREEN*,</STRONG> <STRONG>TERMINAL</STRONG> <STRONG>*);</STRONG>
        <STRONG>int</STRONG> <STRONG>putp_sp(SCREEN*,</STRONG> <STRONG>const</STRONG> <STRONG>char</STRONG> <STRONG>*);</STRONG>
-       <STRONG>int</STRONG> <STRONG>tgetflag_sp(SCREEN*,</STRONG> <STRONG>char</STRONG> <STRONG>*,</STRONG> <STRONG>const</STRONG> <STRONG>char</STRONG> <STRONG>*);</STRONG>
+       <STRONG>int</STRONG> <STRONG>tgetflag_sp(SCREEN*,</STRONG> <STRONG>const</STRONG> <STRONG>char</STRONG> <STRONG>*);</STRONG>
        <STRONG>int</STRONG> <STRONG>tgetent_sp(SCREEN*,</STRONG> <STRONG>char</STRONG> <STRONG>*,</STRONG> <STRONG>const</STRONG> <STRONG>char</STRONG> <STRONG>*);</STRONG>
        <STRONG>int</STRONG> <STRONG>tgetnum_sp(SCREEN*,</STRONG> <STRONG>const</STRONG> <STRONG>char</STRONG> <STRONG>*);</STRONG>
        <STRONG>char*</STRONG> <STRONG>tgetstr_sp(SCREEN*,</STRONG> <STRONG>const</STRONG> <STRONG>char</STRONG> <STRONG>*,</STRONG> <STRONG>char</STRONG> <STRONG>**);</STRONG>
Index: doc/html/man/curs_termcap.3x.html
--- ncurses-6.1-20190317+/doc/html/man/curs_termcap.3x.html	2019-03-16 19:34:44.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/curs_termcap.3x.html	2019-03-23 22:00:05.000000000 +0000
@@ -1,6 +1,6 @@
 <!-- 
   ****************************************************************************
-  * Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *
+  * Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_termcap.3x,v 1.40 2018/07/28 21:14:06 tom Exp @
+  * @Id: curs_termcap.3x,v 1.41 2019/03/23 21:51:12 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -59,7 +59,7 @@
        <STRONG>extern</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>BC;</STRONG>
        <STRONG>extern</STRONG> <STRONG>short</STRONG> <STRONG>ospeed;</STRONG>
 
-       <STRONG>int</STRONG> <STRONG>tgetent(const</STRONG> <STRONG>char</STRONG> <STRONG>*bp,</STRONG> <STRONG>const</STRONG> <STRONG>char</STRONG> <STRONG>*name);</STRONG>
+       <STRONG>int</STRONG> <STRONG>tgetent(char</STRONG> <STRONG>*bp,</STRONG> <STRONG>const</STRONG> <STRONG>char</STRONG> <STRONG>*name);</STRONG>
        <STRONG>int</STRONG> <STRONG>tgetflag(const</STRONG> <STRONG>char</STRONG> <STRONG>*id);</STRONG>
        <STRONG>int</STRONG> <STRONG>tgetnum(const</STRONG> <STRONG>char</STRONG> <STRONG>*id);</STRONG>
        <STRONG>char</STRONG> <STRONG>*tgetstr(const</STRONG> <STRONG>char</STRONG> <STRONG>*id,</STRONG> <STRONG>char</STRONG> <STRONG>**area);</STRONG>
Index: doc/html/man/curs_util.3x.html
--- ncurses-6.1-20190317+/doc/html/man/curs_util.3x.html	2019-03-16 19:34:45.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/curs_util.3x.html	2019-03-23 22:00:05.000000000 +0000
@@ -1,7 +1,7 @@
 <!-- 
   * t
   ****************************************************************************
-  * Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *
+  * Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -27,7 +27,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: curs_util.3x,v 1.54 2018/07/28 22:08:59 tom Exp @
+  * @Id: curs_util.3x,v 1.55 2019/03/23 21:51:12 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -55,10 +55,10 @@
 </PRE><H2><a name="h2-SYNOPSIS">SYNOPSIS</a></H2><PRE>
        <STRONG>#include</STRONG> <STRONG>&lt;curses.h&gt;</STRONG>
 
-       <STRONG>char</STRONG> <STRONG>*unctrl(chtype</STRONG> <STRONG>c);</STRONG>
+       <STRONG>const</STRONG> <STRONG>char</STRONG> <STRONG>*unctrl(chtype</STRONG> <STRONG>c);</STRONG>
        <STRONG>wchar_t</STRONG> <STRONG>*wunctrl(cchar_t</STRONG> <STRONG>*c);</STRONG>
-       <STRONG>char</STRONG> <STRONG>*keyname(int</STRONG> <STRONG>c);</STRONG>
-       <STRONG>char</STRONG> <STRONG>*key_name(wchar_t</STRONG> <STRONG>w);</STRONG>
+       <STRONG>const</STRONG> <STRONG>char</STRONG> <STRONG>*keyname(int</STRONG> <STRONG>c);</STRONG>
+       <STRONG>const</STRONG> <STRONG>char</STRONG> <STRONG>*key_name(wchar_t</STRONG> <STRONG>w);</STRONG>
        <STRONG>void</STRONG> <STRONG>filter(void);</STRONG>
        <STRONG>void</STRONG> <STRONG>nofilter(void);</STRONG>
        <STRONG>void</STRONG> <STRONG>use_env(bool</STRONG> <STRONG>f);</STRONG>
Index: doc/html/man/form.3x.html
--- ncurses-6.1-20190317+/doc/html/man/form.3x.html	2019-03-16 19:34:45.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/form.3x.html	2019-03-23 22:00:05.000000000 +0000
@@ -246,7 +246,7 @@
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>  and  related  pages  whose names begin "form_" for detailed
        descriptions of the entry points.
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 
Index: doc/html/man/infocmp.1m.html
--- ncurses-6.1-20190317+/doc/html/man/infocmp.1m.html	2019-03-16 19:34:45.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/infocmp.1m.html	2019-03-23 22:00:06.000000000 +0000
@@ -481,7 +481,7 @@
 
        https://invisible-island.net/ncurses/tctest.html
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/infotocap.1m.html
--- ncurses-6.1-20190317+/doc/html/man/infotocap.1m.html	2019-03-16 19:34:45.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/infotocap.1m.html	2019-03-23 22:00:06.000000000 +0000
@@ -85,7 +85,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/menu.3x.html
--- ncurses-6.1-20190317+/doc/html/man/menu.3x.html	2019-03-16 19:34:46.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/menu.3x.html	2019-03-23 22:00:06.000000000 +0000
@@ -221,7 +221,7 @@
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>  and  related  pages  whose names begin "menu_" for detailed
        descriptions of the entry points.
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 
Index: doc/html/man/mitem_current.3x.html
--- ncurses-6.1-20190317+/doc/html/man/mitem_current.3x.html	2019-03-16 19:34:46.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/mitem_current.3x.html	2019-03-23 22:00:06.000000000 +0000
@@ -27,7 +27,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: mitem_current.3x,v 1.15 2019/01/20 20:32:23 tom Exp @
+  * @Id: mitem_current.3x,v 1.16 2019/03/23 21:47:36 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -52,7 +52,7 @@
 
 </PRE><H2><a name="h2-SYNOPSIS">SYNOPSIS</a></H2><PRE>
        <STRONG>#include</STRONG> <STRONG>&lt;menu.h&gt;</STRONG>
-       int set_current_item(MENU *menu, const ITEM *item);
+       int set_current_item(MENU *menu, ITEM *item);
        ITEM *current_item(const MENU *menu);
        int set_top_row(MENU *menu, int row);
        int top_row(const MENU *menu);
Index: doc/html/man/ncurses.3x.html
--- ncurses-6.1-20190317+/doc/html/man/ncurses.3x.html	2019-03-16 19:34:46.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/ncurses.3x.html	2019-03-23 22:00:06.000000000 +0000
@@ -59,7 +59,7 @@
        method of updating  character  screens  with  reasonable  optimization.
        This  implementation  is  "new  curses"  (ncurses)  and is the approved
        replacement for 4.4BSD classic curses,  which  has  been  discontinued.
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
        The  <STRONG>ncurses</STRONG>  library emulates the curses library of System V Release 4
        UNIX, and XPG4 (X/Open Portability Guide) curses  (also  known  as  XSI
Index: doc/html/man/ncurses6-config.1.html
--- ncurses-6.1-20190317+/doc/html/man/ncurses6-config.1.html	2019-03-16 19:34:46.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/ncurses6-config.1.html	2019-03-23 22:00:06.000000000 +0000
@@ -112,7 +112,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 
Index: doc/html/man/panel.3x.html
--- ncurses-6.1-20190317+/doc/html/man/panel.3x.html	2019-03-16 19:34:46.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/panel.3x.html	2019-03-23 22:00:06.000000000 +0000
@@ -1,6 +1,6 @@
 <!-- 
   ****************************************************************************
-  * Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *
+  * Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: panel.3x,v 1.26 2018/07/28 22:56:56 tom Exp @
+  * @Id: panel.3x,v 1.27 2019/03/23 19:23:01 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -58,7 +58,7 @@
        <STRONG>int</STRONG> <STRONG>bottom_panel(PANEL</STRONG> <STRONG>*pan);</STRONG>
        <STRONG>int</STRONG> <STRONG>top_panel(PANEL</STRONG> <STRONG>*pan);</STRONG>
        <STRONG>int</STRONG> <STRONG>show_panel(PANEL</STRONG> <STRONG>*pan);</STRONG>
-       <STRONG>void</STRONG> <STRONG>update_panels();</STRONG>
+       <STRONG>void</STRONG> <STRONG>update_panels(void);</STRONG>
        <STRONG>int</STRONG> <STRONG>hide_panel(PANEL</STRONG> <STRONG>*pan);</STRONG>
        <STRONG>WINDOW</STRONG> <STRONG>*panel_window(const</STRONG> <STRONG>PANEL</STRONG> <STRONG>*pan);</STRONG>
        <STRONG>int</STRONG> <STRONG>replace_panel(PANEL</STRONG> <STRONG>*pan,</STRONG> <STRONG>WINDOW</STRONG> <STRONG>*window);</STRONG>
@@ -204,7 +204,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="curs_variables.3x.html">curs_variables(3x)</A></STRONG>,
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/tabs.1.html
--- ncurses-6.1-20190317+/doc/html/man/tabs.1.html	2019-03-16 19:34:46.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/tabs.1.html	2019-03-23 22:00:07.000000000 +0000
@@ -170,7 +170,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="tset.1.html">tset(1)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 
Index: doc/html/man/term_variables.3x.html
--- ncurses-6.1-20190317+/doc/html/man/term_variables.3x.html	2019-03-16 19:34:46.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/term_variables.3x.html	2019-03-23 22:00:07.000000000 +0000
@@ -1,6 +1,6 @@
 <!-- 
   ****************************************************************************
-  * Copyright (c) 2011-2015,2017 Free Software Foundation, Inc.              *
+  * Copyright (c) 2011-2017,2019 Free Software Foundation, Inc.              *
   *                                                                          *
   * Permission is hereby granted, free of charge, to any person obtaining a  *
   * copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
   * sale, use or other dealings in this Software without prior written       *
   * authorization.                                                           *
   ****************************************************************************
-  * @Id: term_variables.3x,v 1.9 2017/04/14 08:33:25 tom Exp @
+  * @Id: term_variables.3x,v 1.10 2019/03/23 21:51:12 tom Exp @
 -->
 <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN">
 <HTML>
@@ -63,17 +63,17 @@
 
        <STRONG>char</STRONG> <STRONG>ttytype[];</STRONG>
 
-       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>*</STRONG> <STRONG>boolcodes;</STRONG>
-       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>*</STRONG> <STRONG>boolfnames;</STRONG>
-       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>*</STRONG> <STRONG>boolnames;</STRONG>
-
-       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>*</STRONG> <STRONG>numcodes;</STRONG>
-       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>*</STRONG> <STRONG>numfnames;</STRONG>
-       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>*</STRONG> <STRONG>numnames;</STRONG>
-
-       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>*</STRONG> <STRONG>strcodes;</STRONG>
-       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>*</STRONG> <STRONG>strfnames;</STRONG>
-       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>*</STRONG> <STRONG>strnames;</STRONG>
+       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>boolcodes[];</STRONG>
+       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>boolfnames[];</STRONG>
+       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>boolnames[];</STRONG>
+
+       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>numcodes[];</STRONG>
+       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>numfnames[];</STRONG>
+       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>numnames[];</STRONG>
+
+       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>strcodes[];</STRONG>
+       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>strfnames[];</STRONG>
+       <STRONG>NCURSES_CONST</STRONG> <STRONG>char</STRONG> <STRONG>*</STRONG> <STRONG>const</STRONG> <STRONG>strnames[];</STRONG>
 
 
 </PRE><H2><a name="h2-DESCRIPTION">DESCRIPTION</a></H2><PRE>
Index: doc/html/man/terminfo.5.html
--- ncurses-6.1-20190317+/doc/html/man/terminfo.5.html	2019-03-16 19:34:47.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/terminfo.5.html	2019-03-23 22:00:07.000000000 +0000
@@ -74,7 +74,7 @@
        <EM>Terminfo</EM> describes terminals by giving a set of capabilities which they
        have, by specifying how to perform screen operations, and by specifying
        padding  requirements  and  initialization  sequences.   This describes
-       <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 </PRE><H3><a name="h3-Terminfo-Entry-Syntax">Terminfo Entry Syntax</a></H3><PRE>
Index: doc/html/man/tic.1m.html
--- ncurses-6.1-20190317+/doc/html/man/tic.1m.html	2019-03-16 19:34:47.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/tic.1m.html	2019-03-23 22:00:07.000000000 +0000
@@ -364,7 +364,7 @@
        <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>,   <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,   <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,   <STRONG><A HREF="toe.1m.html">toe(1m)</A></STRONG>,   <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>,
        <STRONG><A HREF="term.5.html">term(5)</A></STRONG>.  <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 </PRE><H2><a name="h2-AUTHOR">AUTHOR</a></H2><PRE>
Index: doc/html/man/toe.1m.html
--- ncurses-6.1-20190317+/doc/html/man/toe.1m.html	2019-03-16 19:34:47.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/toe.1m.html	2019-03-23 22:00:07.000000000 +0000
@@ -113,7 +113,7 @@
        <STRONG><A HREF="tic.1m.html">tic(1m)</A></STRONG>, <STRONG><A HREF="infocmp.1m.html">infocmp(1m)</A></STRONG>, <STRONG><A HREF="captoinfo.1m.html">captoinfo(1m)</A></STRONG>,  <STRONG><A HREF="infotocap.1m.html">infotocap(1m)</A></STRONG>,  <STRONG><A HREF="ncurses.3x.html">curses(3x)</A></STRONG>,  <STRONG>ter-</STRONG>
        <STRONG><A HREF="terminfo.5.html">minfo(5)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 
Index: doc/html/man/tput.1.html
--- ncurses-6.1-20190317+/doc/html/man/tput.1.html	2019-03-16 19:34:47.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/tput.1.html	2019-03-23 22:00:07.000000000 +0000
@@ -522,7 +522,7 @@
 </PRE><H2><a name="h2-SEE-ALSO">SEE ALSO</a></H2><PRE>
        <STRONG><A HREF="clear.1.html">clear(1)</A></STRONG>, <STRONG>stty(1)</STRONG>, <STRONG><A HREF="tabs.1.html">tabs(1)</A></STRONG>, <STRONG><A HREF="tset.1.html">tset(1)</A></STRONG>, <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>, <STRONG><A HREF="curs_termcap.3x.html">curs_termcap(3x)</A></STRONG>.
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 
Index: doc/html/man/tset.1.html
--- ncurses-6.1-20190317+/doc/html/man/tset.1.html	2019-03-16 19:34:47.000000000 +0000
+++ ncurses-6.1-20190323/doc/html/man/tset.1.html	2019-03-23 22:00:07.000000000 +0000
@@ -389,7 +389,7 @@
        <STRONG>csh(1)</STRONG>,  <STRONG>sh(1)</STRONG>,  <STRONG>stty(1)</STRONG>,   <STRONG><A HREF="curs_terminfo.3x.html">curs_terminfo(3x)</A></STRONG>,   <STRONG>tty(4)</STRONG>,   <STRONG><A HREF="terminfo.5.html">terminfo(5)</A></STRONG>,
        <STRONG>ttys(5)</STRONG>, <STRONG>environ(7)</STRONG>
 
-       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190316).
+       This describes <STRONG>ncurses</STRONG> version 6.1 (patch 20190323).
 
 
 
Index: include/curses.h.in
Prereq:  1.263 
--- ncurses-6.1-20190317+/include/curses.h.in	2018-06-09 20:16:32.000000000 +0000
+++ ncurses-6.1-20190323/include/curses.h.in	2019-03-23 23:06:46.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -32,7 +32,7 @@
  *     and: Thomas E. Dickey                        1996-on                 *
  ****************************************************************************/
 
-/* $Id: curses.h.in,v 1.263 2018/06/09 20:16:32 tom Exp $ */
+/* $Id: curses.h.in,v 1.264 2019/03/23 23:06:46 tom Exp $ */
 
 #ifndef __NCURSES_H
 #define __NCURSES_H
@@ -892,12 +892,6 @@
 extern NCURSES_EXPORT(char *) tiparm (const char *, ...);		/* special */
 
 /*
- * X/Open says this returns a bool; SVr4 also checked for out-of-range line.
- * The macro provides compatibility:
- */
-#define is_linetouched(w,l) ((!(w) || ((l) > getmaxy(w)) || ((l) < 0)) ? ERR : (is_linetouched)((w),(l)))
-
-/*
  * These functions are not in X/Open, but we use them in macro definitions:
  */
 extern NCURSES_EXPORT(int) getattrs (const WINDOW *);			/* generated */
@@ -1432,6 +1426,12 @@
 #endif
 #endif
 
+/*
+ * X/Open says this returns a bool; SVr4 also checked for out-of-range line.
+ * The macro provides compatibility:
+ */
+#define is_linetouched(w,l) ((!(w) || ((l) > getmaxy(w)) || ((l) < 0)) ? ERR : (is_linetouched)((w),(l)))
+
 #endif /* NCURSES_NOMACROS */
 
 /*
Index: man/curs_getcchar.3x
Prereq:  1.19 
--- ncurses-6.1-20190317+/man/curs_getcchar.3x	2017-11-18 23:47:37.000000000 +0000
+++ ncurses-6.1-20190323/man/curs_getcchar.3x	2019-03-24 00:59:45.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2001-2015,2017 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2001-2017,2019 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_getcchar.3x,v 1.19 2017/11/18 23:47:37 tom Exp $
+.\" $Id: curs_getcchar.3x,v 1.21 2019/03/24 00:59:45 tom Exp $
 .TH curs_getcchar 3X ""
 .de bP
 .ie n  .IP \(bu 4
@@ -60,7 +60,7 @@
 .br
 .B "        short \fIcolor_pair\fP,"
 .br
-.B "        void *\fIopts\fP );"
+.B "        const void *\fIopts\fP );"
 .SH DESCRIPTION
 .SS getcchar
 .PP
Index: man/curs_legacy.3x
Prereq:  1.8 
--- ncurses-6.1-20190317+/man/curs_legacy.3x	2017-11-21 00:45:48.000000000 +0000
+++ ncurses-6.1-20190323/man/curs_legacy.3x	2019-03-23 21:51:12.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2007-2015,2017 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2007-2017,2019 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_legacy.3x,v 1.8 2017/11/21 00:45:48 tom Exp $
+.\" $Id: curs_legacy.3x,v 1.9 2019/03/23 21:51:12 tom Exp $
 .de bP
 .ie n  .IP \(bu 4
 .el    .IP \(bu 2
@@ -37,23 +37,23 @@
 .SH SYNOPSIS
 \fB#include <curses.h>\fP
 .sp
-\fBint getattrs(WINDOW *win);\fP
+\fBint getattrs(const WINDOW *win);\fP
 .br
-\fBint getbegx(WINDOW *win);\fP
+\fBint getbegx(const WINDOW *win);\fP
 .br
-\fBint getbegy(WINDOW *win);\fP
+\fBint getbegy(const WINDOW *win);\fP
 .br
-\fBint getcurx(WINDOW *win);\fP
+\fBint getcurx(const WINDOW *win);\fP
 .br
-\fBint getcury(WINDOW *win);\fP
+\fBint getcury(const WINDOW *win);\fP
 .br
-\fBint getmaxx(WINDOW *win);\fP
+\fBint getmaxx(const WINDOW *win);\fP
 .br
-\fBint getmaxy(WINDOW *win);\fP
+\fBint getmaxy(const WINDOW *win);\fP
 .br
-\fBint getparx(WINDOW *win);\fP
+\fBint getparx(const WINDOW *win);\fP
 .br
-\fBint getpary(WINDOW *win);\fP
+\fBint getpary(const WINDOW *win);\fP
 .br
 .SH DESCRIPTION
 These legacy functions are simpler to use than the X/Open Curses functions:
Index: man/curs_sp_funcs.3x
Prereq:  1.10 
--- ncurses-6.1-20190317+/man/curs_sp_funcs.3x	2018-04-07 20:58:41.000000000 +0000
+++ ncurses-6.1-20190323/man/curs_sp_funcs.3x	2019-03-24 01:45:40.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2010-2017,2018 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2010-2018,2019 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_sp_funcs.3x,v 1.10 2018/04/07 20:58:41 tom Exp $
+.\" $Id: curs_sp_funcs.3x,v 1.15 2019/03/24 01:45:40 tom Exp $
 .TH curs_sp_funcs 3X ""
 .na
 .hy 0
@@ -68,7 +68,7 @@
 .br
 \fBint endwin_sp(SCREEN*);\fR
 .br
-\fBint erasechar_sp(SCREEN*);\fR
+\fBchar erasechar_sp(SCREEN*);\fR
 .br
 \fBint extended_color_content_sp(SCREEN *, int, int *, int *, int *);\fR
 .br
@@ -76,7 +76,7 @@
 .br
 \fBint extended_slk_color_sp(SCREEN*, int);\fR
 .br
-\fBint filter_sp(SCREEN*);\fR
+\fBvoid filter_sp(SCREEN*);\fR
 .br
 \fBint find_pair_sp(SCREEN*, int, int);\fR
 .br
@@ -92,7 +92,7 @@
 .br
 \fBWINDOW* getwin_sp(SCREEN*, FILE*);\fR
 .br
-\fBint halfdelay_sp(SCREEN*);\fR
+\fBint halfdelay_sp(SCREEN*, int);\fR
 .br
 \fBbool has_colors_sp(SCREEN*);\fR
 .br
@@ -154,7 +154,7 @@
 .br
 \fBint noecho_sp(SCREEN*);\fR
 .br
-\fBint nofilter_sp(SCREEN*);\fR
+\fBvoid nofilter_sp(SCREEN*);\fR
 .br
 \fBint nonl_sp(SCREEN*);\fR
 .br
@@ -204,7 +204,7 @@
 .br
 \fBint slk_attrset_sp(SCREEN*, const chtype);\fR
 .br
-\fBint slk_attr_sp(SCREEN*);\fR
+\fBattr_t slk_attr_sp(SCREEN*);\fR
 .br
 \fBint slk_clear_sp(SCREEN*);\fR
 .br
@@ -212,7 +212,7 @@
 .br
 \fBint slk_init_sp(SCREEN*, int);\fR
 .br
-\fBint slk_label_sp(SCREEN*, int);\fR
+\fBchar* slk_label_sp(SCREEN*, int);\fR
 .br
 \fBint slk_noutrefresh_sp(SCREEN*);\fR
 .br
@@ -246,7 +246,7 @@
 .br
 \fBvoid use_env_sp(SCREEN*, bool);\fR
 .br
-\fBvoid use_tioctl_sp (SCREEN *, bool)\fR
+\fBvoid use_tioctl_sp(SCREEN *, bool);\fR
 .br
 \fBint use_legacy_coding_sp(SCREEN*, int);\fR
 .br
@@ -262,19 +262,19 @@
 .sp
 \fB#include <form.h>\fR
 .sp
-\fBint new_form_sp(SCREEN*, FIELD **);\fR
+\fBFORM* new_form_sp(SCREEN*, FIELD **);\fR
 .sp
 \fB#include <menu.h>\fR
 .sp
-\fBint new_menu_sp(SCREEN*, ITEM **);\fR
+\fBMENU* new_menu_sp(SCREEN*, ITEM **);\fR
 .sp
 \fB#include <panel.h>\fR
 .sp
-\fBint ceiling_panel(SCREEN*);\fR
+\fBPANEL* ceiling_panel(SCREEN*);\fR
 .br
 \fBPANEL* ground_panel(SCREEN*);\fR
 .br
-\fBint update_panels_sp(SCREEN*);\fR
+\fBvoid update_panels_sp(SCREEN*);\fR
 .sp
 \fB#include <term.h>\fR
 .sp
@@ -282,7 +282,7 @@
 .br
 \fBint putp_sp(SCREEN*, const char *);\fR
 .br
-\fBint tgetflag_sp(SCREEN*, char *, const char *);\fR
+\fBint tgetflag_sp(SCREEN*, const char *);\fR
 .br
 \fBint tgetent_sp(SCREEN*, char *, const char *);\fR
 .br
Index: man/curs_termcap.3x
Prereq:  1.40 
--- ncurses-6.1-20190317+/man/curs_termcap.3x	2018-07-28 21:14:06.000000000 +0000
+++ ncurses-6.1-20190323/man/curs_termcap.3x	2019-03-23 21:51:12.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_termcap.3x,v 1.40 2018/07/28 21:14:06 tom Exp $
+.\" $Id: curs_termcap.3x,v 1.41 2019/03/23 21:51:12 tom Exp $
 .TH curs_termcap 3X ""
 .de bP
 .ie n  .IP \(bu 4
@@ -61,7 +61,7 @@
 .br
 \fBextern @NCURSES_OSPEED@ ospeed;\fR
 .sp
-\fBint tgetent(const char *bp, const char *name);\fR
+\fBint tgetent(char *bp, const char *name);\fR
 .br
 \fBint tgetflag(const char *id);\fR
 .br
Index: man/curs_util.3x
Prereq:  1.54 
--- ncurses-6.1-20190317+/man/curs_util.3x	2018-07-28 22:08:59.000000000 +0000
+++ ncurses-6.1-20190323/man/curs_util.3x	2019-03-23 21:51:12.000000000 +0000
@@ -1,6 +1,6 @@
 '\" t
 .\"***************************************************************************
-.\" Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_util.3x,v 1.54 2018/07/28 22:08:59 tom Exp $
+.\" $Id: curs_util.3x,v 1.55 2019/03/23 21:51:12 tom Exp $
 .TH curs_util 3X ""
 .ie \n(.g .ds `` \(lq
 .el       .ds `` ``
@@ -57,13 +57,13 @@
 .SH SYNOPSIS
 \fB#include <curses.h>\fR
 .sp
-\fBchar *unctrl(chtype c);\fR
+\fBconst char *unctrl(chtype c);\fR
 .br
 \fBwchar_t *wunctrl(cchar_t *c);\fR
 .br
-\fBchar *keyname(int c);\fR
+\fBconst char *keyname(int c);\fR
 .br
-\fBchar *key_name(wchar_t w);\fR
+\fBconst char *key_name(wchar_t w);\fR
 .br
 \fBvoid filter(void);\fR
 .br
Index: man/mitem_current.3x
Prereq:  1.15 
--- ncurses-6.1-20190317+/man/mitem_current.3x	2019-01-20 20:32:23.000000000 +0000
+++ ncurses-6.1-20190323/man/mitem_current.3x	2019-03-23 21:47:36.000000000 +0000
@@ -27,14 +27,14 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: mitem_current.3x,v 1.15 2019/01/20 20:32:23 tom Exp $
+.\" $Id: mitem_current.3x,v 1.16 2019/03/23 21:47:36 tom Exp $
 .TH mitem_current 3X ""
 .SH NAME
 \fBmitem_current\fR \- set and get current_menu_item
 .SH SYNOPSIS
 \fB#include <menu.h>\fR
 .br
-int set_current_item(MENU *menu, const ITEM *item);
+int set_current_item(MENU *menu, ITEM *item);
 .br
 ITEM *current_item(const MENU *menu);
 .br
Index: man/panel.3x
Prereq:  1.26 
--- ncurses-6.1-20190317+/man/panel.3x	2018-07-28 22:56:56.000000000 +0000
+++ ncurses-6.1-20190323/man/panel.3x	2019-03-23 19:23:01.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: panel.3x,v 1.26 2018/07/28 22:56:56 tom Exp $
+.\" $Id: panel.3x,v 1.27 2019/03/23 19:23:01 tom Exp $
 .TH panel 3X ""
 .ie \n(.g .ds `` \(lq
 .el       .ds `` ``
@@ -47,7 +47,7 @@
 .br
 \fBint show_panel(PANEL *pan);\fR
 .br
-\fBvoid update_panels();\fR
+\fBvoid update_panels(void);\fR
 .br
 \fBint hide_panel(PANEL *pan);\fR
 .br
Index: man/term_variables.3x
Prereq:  1.9 
--- ncurses-6.1-20190317+/man/term_variables.3x	2017-04-14 08:33:25.000000000 +0000
+++ ncurses-6.1-20190323/man/term_variables.3x	2019-03-23 21:51:12.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2011-2015,2017 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2011-2017,2019 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: term_variables.3x,v 1.9 2017/04/14 08:33:25 tom Exp $
+.\" $Id: term_variables.3x,v 1.10 2019/03/23 21:51:12 tom Exp $
 .TH term_variables 3X ""
 .ds n 5
 .ie \n(.g .ds `` \(lq
@@ -66,23 +66,23 @@
 .sp
 \fBchar ttytype[];\fR
 .sp
-\fBNCURSES_CONST char * const * boolcodes;\fR
+\fBNCURSES_CONST char * const boolcodes[];\fR
 .br
-\fBNCURSES_CONST char * const * boolfnames;\fR
+\fBNCURSES_CONST char * const boolfnames[];\fR
 .br
-\fBNCURSES_CONST char * const * boolnames;\fR
+\fBNCURSES_CONST char * const boolnames[];\fR
 .sp
-\fBNCURSES_CONST char * const * numcodes;\fR
+\fBNCURSES_CONST char * const numcodes[];\fR
 .br
-\fBNCURSES_CONST char * const * numfnames;\fR
+\fBNCURSES_CONST char * const numfnames[];\fR
 .br
-\fBNCURSES_CONST char * const * numnames;\fR
+\fBNCURSES_CONST char * const numnames[];\fR
 .sp
-\fBNCURSES_CONST char * const * strcodes;\fR
+\fBNCURSES_CONST char * const strcodes[];\fR
 .br
-\fBNCURSES_CONST char * const * strfnames;\fR
+\fBNCURSES_CONST char * const strfnames[];\fR
 .br
-\fBNCURSES_CONST char * const * strnames;\fR
+\fBNCURSES_CONST char * const strnames[];\fR
 .br
 .fi
 .SH DESCRIPTION
Index: ncurses/base/lib_screen.c
Prereq:  1.93 
--- ncurses-6.1-20190317+/ncurses/base/lib_screen.c	2018-01-14 17:39:47.000000000 +0000
+++ ncurses-6.1-20190323/ncurses/base/lib_screen.c	2019-03-23 23:47:16.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -41,7 +41,7 @@
 #define CUR SP_TERMTYPE
 #endif
 
-MODULE_ID("$Id: lib_screen.c,v 1.93 2018/01/14 17:39:47 tom Exp $")
+MODULE_ID("$Id: lib_screen.c,v 1.94 2019/03/23 23:47:16 tom Exp $")
 
 #define MAX_SIZE 0x3fff		/* 16k is big enough for a window or pad */
 
@@ -948,7 +948,7 @@
     T((T_CALLED("scr_restore(%p,%s)"), (void *) SP_PARM, _nc_visbuf(file)));
 
     if (_nc_access(file, R_OK) >= 0
-	&& (fp = fopen(file, "rb")) != 0) {
+	&& (fp = fopen(file, BIN_R)) != 0) {
 	delwin(NewScreen(SP_PARM));
 	NewScreen(SP_PARM) = getwin(fp);
 #if !USE_REENTRANT
@@ -979,7 +979,7 @@
     T((T_CALLED("scr_dump(%s)"), _nc_visbuf(file)));
 
     if (_nc_access(file, W_OK) < 0
-	|| (fp = fopen(file, "wb")) == 0) {
+	|| (fp = fopen(file, BIN_W)) == 0) {
 	result = ERR;
     } else {
 	(void) putwin(newscr, fp);
@@ -1006,7 +1006,7 @@
 	FILE *fp = 0;
 
 	if (_nc_access(file, R_OK) >= 0
-	    && (fp = fopen(file, "rb")) != 0) {
+	    && (fp = fopen(file, BIN_R)) != 0) {
 	    delwin(CurScreen(SP_PARM));
 	    CurScreen(SP_PARM) = getwin(fp);
 #if !USE_REENTRANT
Index: ncurses/curses.priv.h
Prereq:  1.618 
--- ncurses-6.1-20190317+/ncurses/curses.priv.h	2019-03-09 23:43:24.000000000 +0000
+++ ncurses-6.1-20190323/ncurses/curses.priv.h	2019-03-23 23:45:56.000000000 +0000
@@ -34,7 +34,7 @@
  ****************************************************************************/
 
 /*
- * $Id: curses.priv.h,v 1.618 2019/03/09 23:43:24 tom Exp $
+ * $Id: curses.priv.h,v 1.619 2019/03/23 23:45:56 tom Exp $
  *
  *	curses.priv.h
  *
@@ -240,6 +240,13 @@
 #endif
 
 /*
+ * POSIX ignores the "b", which c89 specified.  Some very old systems do not
+ * accept it.
+ */
+#define BIN_R	"rb"
+#define BIN_W	"wb"
+
+/*
  * Scroll hints are useless when hashmap is used
  */
 #if !USE_SCROLL_HINTS
Index: ncurses/tinfo/lib_setup.c
Prereq:  1.197 
--- ncurses-6.1-20190317+/ncurses/tinfo/lib_setup.c	2018-11-24 22:13:16.000000000 +0000
+++ ncurses-6.1-20190323/ncurses/tinfo/lib_setup.c	2019-03-23 23:42:20.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2017,2018 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2018,2019 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -48,7 +48,7 @@
 #include <locale.h>
 #endif
 
-MODULE_ID("$Id: lib_setup.c,v 1.197 2018/11/24 22:13:16 tom Exp $")
+MODULE_ID("$Id: lib_setup.c,v 1.199 2019/03/23 23:42:20 tom Exp $")
 
 /****************************************************************************
  *
@@ -758,7 +758,7 @@
 
 	    if (fallback) {
 		T(("found fallback entry"));
-		TerminalType(termp) = *fallback;
+		_nc_copy_termtype2(&(TerminalType(termp)), fallback);
 		status = TGETENT_YES;
 	    }
 	}
Index: ncurses/tinfo/read_entry.c
Prereq:  1.153 
--- ncurses-6.1-20190317+/ncurses/tinfo/read_entry.c	2019-01-23 00:02:04.000000000 +0000
+++ ncurses-6.1-20190323/ncurses/tinfo/read_entry.c	2019-03-23 23:47:16.000000000 +0000
@@ -41,7 +41,7 @@
 
 #include <tic.h>
 
-MODULE_ID("$Id: read_entry.c,v 1.153 2019/01/23 00:02:04 tom Exp $")
+MODULE_ID("$Id: read_entry.c,v 1.154 2019/03/23 23:47:16 tom Exp $")
 
 #define TYPE_CALLOC(type,elts) typeCalloc(type, (unsigned)(elts))
 
@@ -552,7 +552,7 @@
     int code;
 
     if (_nc_access(filename, R_OK) < 0
-	|| (fp = fopen(filename, "rb")) == 0) {
+	|| (fp = fopen(filename, BIN_R)) == 0) {
 	TR(TRACE_DATABASE, ("cannot open terminfo %s (errno=%d)", filename, errno));
 	code = TGETENT_NO;
     } else {
Index: ncurses/tinfo/write_entry.c
Prereq:  1.111 
--- ncurses-6.1-20190317+/ncurses/tinfo/write_entry.c	2019-01-20 02:54:14.000000000 +0000
+++ ncurses-6.1-20190323/ncurses/tinfo/write_entry.c	2019-03-23 23:47:16.000000000 +0000
@@ -50,7 +50,7 @@
 #define TRACE_NUM(n)		/* nothing */
 #endif
 
-MODULE_ID("$Id: write_entry.c,v 1.111 2019/01/20 02:54:14 tom Exp $")
+MODULE_ID("$Id: write_entry.c,v 1.113 2019/03/23 23:47:16 tom Exp $")
 
 static int total_written;
 static int total_parts;
@@ -70,7 +70,7 @@
 	_nc_warning("entry is larger than %u bytes", limit);
     } else {
 	FILE *fp = ((_nc_access(filename, W_OK) == 0)
-		    ? fopen(filename, "wb")
+		    ? fopen(filename, BIN_W)
 		    : 0);
 	size_t actual;
 
@@ -466,7 +466,7 @@
 
 	check_writeable(ptr[0]);
 	_nc_SPRINTF(linkname, _nc_SLIMIT(sizeof(linkname))
-		    LEAF_FMT "/%s", ptr[0], ptr);
+		    LEAF_FMT "/%.*s", ptr[0], (int) sizeof(linkname) - 3, ptr);
 
 	if (strcmp(filename, linkname) == 0) {
 	    _nc_warning("self-synonym ignored");
Index: ncurses/trace/lib_trace.c
Prereq:  1.91 
--- ncurses-6.1-20190317+/ncurses/trace/lib_trace.c	2019-01-21 14:51:38.000000000 +0000
+++ ncurses-6.1-20190323/ncurses/trace/lib_trace.c	2019-03-23 23:47:16.000000000 +0000
@@ -47,7 +47,7 @@
 
 #include <ctype.h>
 
-MODULE_ID("$Id: lib_trace.c,v 1.91 2019/01/21 14:51:38 tom Exp $")
+MODULE_ID("$Id: lib_trace.c,v 1.92 2019/03/23 23:47:16 tom Exp $")
 
 NCURSES_EXPORT_VAR(unsigned) _nc_tracing = 0; /* always define this */
 
@@ -98,7 +98,7 @@
     if ((MyFP == 0) && tracelevel) {
 	MyInit = TRUE;
 	if (MyFD >= 0) {
-	    MyFP = fdopen(MyFD, "wb");
+	    MyFP = fdopen(MyFD, BIN_W);
 	} else {
 	    if (MyPath[0] == '\0') {
 		size_t size = sizeof(MyPath) - 12;
@@ -115,7 +115,7 @@
 	    }
 	    if (_nc_access(MyPath, W_OK) < 0
 		|| (MyFD = open(MyPath, O_CREAT | O_EXCL | O_RDWR, 0600)) < 0
-		|| (MyFP = fdopen(MyFD, "wb")) == 0) {
+		|| (MyFP = fdopen(MyFD, BIN_W)) == 0) {
 		;		/* EMPTY */
 	    }
 	}
Index: package/debian-mingw/changelog
--- ncurses-6.1-20190317+/package/debian-mingw/changelog	2019-03-17 01:23:23.000000000 +0000
+++ ncurses-6.1-20190323/package/debian-mingw/changelog	2019-03-23 16:13:26.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20190317) unstable; urgency=low
+ncurses6 (6.1+20190323) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 16 Mar 2019 21:23:16 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 23 Mar 2019 12:13:26 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.1-20190317+/package/debian-mingw64/changelog	2019-03-17 01:23:23.000000000 +0000
+++ ncurses-6.1-20190323/package/debian-mingw64/changelog	2019-03-23 16:13:26.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20190317) unstable; urgency=low
+ncurses6 (6.1+20190323) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 16 Mar 2019 21:23:16 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 23 Mar 2019 12:13:26 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.1-20190317+/package/debian/changelog	2019-03-17 01:23:23.000000000 +0000
+++ ncurses-6.1-20190323/package/debian/changelog	2019-03-23 16:13:26.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.1+20190317) unstable; urgency=low
+ncurses6 (6.1+20190323) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 16 Mar 2019 21:23:16 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 23 Mar 2019 12:13:26 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.320 
--- ncurses-6.1-20190317+/package/mingw-ncurses.nsi	2019-03-17 01:23:23.000000000 +0000
+++ ncurses-6.1-20190323/package/mingw-ncurses.nsi	2019-03-23 16:13:26.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.320 2019/03/17 01:23:23 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.321 2019/03/23 16:13:26 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "1"
 !define VERSION_YYYY  "2019"
-!define VERSION_MMDD  "0317"
+!define VERSION_MMDD  "0323"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.1-20190317+/package/mingw-ncurses.spec	2019-03-17 01:23:23.000000000 +0000
+++ ncurses-6.1-20190323/package/mingw-ncurses.spec	2019-03-23 16:13:26.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.1
-Release: 20190317
+Release: 20190323
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.1-20190317+/package/ncurses.spec	2019-03-17 01:23:23.000000000 +0000
+++ ncurses-6.1-20190323/package/ncurses.spec	2019-03-23 16:13:26.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.1
-Release: 20190317
+Release: 20190323
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncursest.spec
--- ncurses-6.1-20190317+/package/ncursest.spec	2019-03-17 01:23:23.000000000 +0000
+++ ncurses-6.1-20190323/package/ncursest.spec	2019-03-23 16:13:26.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: Curses library with POSIX thread support.
 Name: ncursest6
 Version: 6.1
-Release: 20190317
+Release: 20190323
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
